# -*- encoding: utf-8 -*-
# stub: smart_proxy_monitoring 0.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "smart_proxy_monitoring"
  s.version = "0.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Timo Goebel", "Dirk Goetz"]
  s.date = "2017-10-17"
  s.description = "Monitoring plug-in for Foreman's smart proxy"
  s.email = ["timo.goebel@dm.de", "dirk.goetz@netways.de"]
  s.extra_rdoc_files = ["LICENSE", "README.md"]
  s.files = ["LICENSE", "README.md", "bundler.d/monitoring.rb", "lib/smart_proxy_monitoring.rb", "lib/smart_proxy_monitoring/configuration_loader.rb", "lib/smart_proxy_monitoring/dependency_injection.rb", "lib/smart_proxy_monitoring/monitoring_api.rb", "lib/smart_proxy_monitoring/monitoring_http_config.ru", "lib/smart_proxy_monitoring/monitoring_plugin.rb", "lib/smart_proxy_monitoring/version.rb", "lib/smart_proxy_monitoring_common/monitoring_common.rb", "lib/smart_proxy_monitoring_icinga2.rb", "lib/smart_proxy_monitoring_icinga2/icinga2_api_observer.rb", "lib/smart_proxy_monitoring_icinga2/icinga2_client.rb", "lib/smart_proxy_monitoring_icinga2/icinga2_initial_importer.rb", "lib/smart_proxy_monitoring_icinga2/icinga2_result_uploader.rb", "lib/smart_proxy_monitoring_icinga2/icinga2_upload_queue.rb", "lib/smart_proxy_monitoring_icinga2/monitoring_icinga2_common.rb", "lib/smart_proxy_monitoring_icinga2/monitoring_icinga2_main.rb", "lib/smart_proxy_monitoring_icinga2/monitoring_icinga2_plugin.rb", "lib/smart_proxy_monitoring_icinga2/plugin_configuration.rb", "lib/smart_proxy_monitoring_icinga2/tasks_common.rb", "lib/smart_proxy_monitoring_icingadirector.rb", "lib/smart_proxy_monitoring_icingadirector/director_client.rb", "lib/smart_proxy_monitoring_icingadirector/monitoring_icingadirector_main.rb", "lib/smart_proxy_monitoring_icingadirector/monitoring_icingadirector_plugin.rb", "lib/smart_proxy_monitoring_icingadirector/plugin_configuration.rb", "settings.d/monitoring.yml.example", "settings.d/monitoring_icinga2.yml.example", "settings.d/monitoring_icingadirector.yml.example"]
  s.homepage = "http://github.com/theforeman/smart_proxy_monitoring"
  s.licenses = ["GPLv3"]
  s.rubygems_version = "2.5.1"
  s.summary = "Monitoring plug-in for Foreman's smart proxy"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<json>, [">= 0"])
      s.add_development_dependency(%q<mocha>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_runtime_dependency(%q<rest-client>, [">= 0"])
      s.add_development_dependency(%q<test-unit>, [">= 0"])
    else
      s.add_dependency(%q<json>, [">= 0"])
      s.add_dependency(%q<mocha>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rest-client>, [">= 0"])
      s.add_dependency(%q<test-unit>, [">= 0"])
    end
  else
    s.add_dependency(%q<json>, [">= 0"])
    s.add_dependency(%q<mocha>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rest-client>, [">= 0"])
    s.add_dependency(%q<test-unit>, [">= 0"])
  end
end
